
package se.riv.authorization.delegation.savedelegationsresponder.v1;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAnyElement;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlType;
import org.w3c.dom.Element;
import se.riv.authorization.delegation.v1.DelegationBlockType;


/**
 * <p>Java class for SaveDelegationsType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="SaveDelegationsType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="DelegationBlockType" type="{urn:riv:authorization:delegation:1}DelegationBlockType"/>
 *         &lt;any/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "SaveDelegationsType", propOrder = {
    "delegationBlockType",
    "any"
})
public class SaveDelegationsType {

    @XmlElement(name = "DelegationBlockType", required = true)
    protected DelegationBlockType delegationBlockType;
    @XmlAnyElement(lax = true)
    protected List<Object> any;

    /**
     * Gets the value of the delegationBlockType property.
     * 
     * @return
     *     possible object is
     *     {@link DelegationBlockType }
     *     
     */
    public DelegationBlockType getDelegationBlockType() {
        return delegationBlockType;
    }

    /**
     * Sets the value of the delegationBlockType property.
     * 
     * @param value
     *     allowed object is
     *     {@link DelegationBlockType }
     *     
     */
    public void setDelegationBlockType(DelegationBlockType value) {
        this.delegationBlockType = value;
    }

    /**
     * Gets the value of the any property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the any property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getAny().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link Element }
     * {@link Object }
     * 
     * 
     */
    public List<Object> getAny() {
        if (any == null) {
            any = new ArrayList<Object>();
        }
        return this.any;
    }

}
