
package se.riv.authorization.delegation.v1;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAnyElement;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;
import javax.xml.datatype.XMLGregorianCalendar;
import org.w3c.dom.Element;


/**
 * <p>Java class for DelegationBlockType complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="DelegationBlockType">
 *   &lt;complexContent>
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
 *       &lt;sequence>
 *         &lt;element name="delegations" type="{urn:riv:authorization:delegation:1}DelegationType" maxOccurs="unbounded"/>
 *         &lt;element name="signToken" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;element name="approvedOn" type="{http://www.w3.org/2001/XMLSchema}dateTime"/>
 *         &lt;element name="delegatedBy" type="{http://www.w3.org/2001/XMLSchema}string"/>
 *         &lt;any/>
 *       &lt;/sequence>
 *     &lt;/restriction>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "DelegationBlockType", propOrder = {
    "delegations",
    "signToken",
    "approvedOn",
    "delegatedBy",
    "any"
})
public class DelegationBlockType {

    @XmlElement(required = true)
    protected List<DelegationType> delegations;
    @XmlElement(required = true)
    protected String signToken;
    @XmlElement(required = true)
    @XmlSchemaType(name = "dateTime")
    protected XMLGregorianCalendar approvedOn;
    @XmlElement(required = true)
    protected String delegatedBy;
    @XmlAnyElement(lax = true)
    protected List<Object> any;

    /**
     * Gets the value of the delegations property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the delegations property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getDelegations().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link DelegationType }
     * 
     * 
     */
    public List<DelegationType> getDelegations() {
        if (delegations == null) {
            delegations = new ArrayList<DelegationType>();
        }
        return this.delegations;
    }

    /**
     * Gets the value of the signToken property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getSignToken() {
        return signToken;
    }

    /**
     * Sets the value of the signToken property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setSignToken(String value) {
        this.signToken = value;
    }

    /**
     * Gets the value of the approvedOn property.
     * 
     * @return
     *     possible object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public XMLGregorianCalendar getApprovedOn() {
        return approvedOn;
    }

    /**
     * Sets the value of the approvedOn property.
     * 
     * @param value
     *     allowed object is
     *     {@link XMLGregorianCalendar }
     *     
     */
    public void setApprovedOn(XMLGregorianCalendar value) {
        this.approvedOn = value;
    }

    /**
     * Gets the value of the delegatedBy property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDelegatedBy() {
        return delegatedBy;
    }

    /**
     * Sets the value of the delegatedBy property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDelegatedBy(String value) {
        this.delegatedBy = value;
    }

    /**
     * Gets the value of the any property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the any property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getAny().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link Element }
     * {@link Object }
     * 
     * 
     */
    public List<Object> getAny() {
        if (any == null) {
            any = new ArrayList<Object>();
        }
        return this.any;
    }

}
